# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Provides/Requires filtering is different from rpm 4.9 onwards
%global rpm49 %(rpm --version | perl -pi -e 's/^.* (\\d+)\\.(\\d+).*/sprintf("%d.%03d",$1,$2) ge 4.009 ? 1 : 0/e')

Summary:	Information about Perl modules
Name:		perl-Module-Info
Version:	0.35
Release:	1.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Module-Info/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MB/MBARBON/Module-Info-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(Class::Struct)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(lib)
BuildRequires:	perl(Safe)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 1.00
BuildRequires:	perl(version)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Safe)
Requires:	perl(version)

# We don't really provide perl(B::Utils)
%global __provides_exclude ^perl\\(B::Utils\\)

%description
Module::Info gives you information about Perl modules without actually loading
the module. It isn't actually specific to modules and should work on any perl
code.

%prep
%setup -q -n Module-Info-%{version}

# We don't really provide perl(B::Utils) [filter for rpm < 4.9]
%if ! %{rpm49}
%global provfilt /bin/sh -c "%{__perl_provides} | grep -Ev '^perl\\(B::Utils\\)'"
%define __perl_provides %{provfilt}
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{_bindir}/module_info
%{_bindir}/pfunc
%{perl_vendorlib}/B/
%{perl_vendorlib}/Module/
%{_mandir}/man1/module_info.1*
%{_mandir}/man1/pfunc.1*
%{_mandir}/man3/B::BUtils.3pm*
%{_mandir}/man3/B::Module::Info.3pm*
%{_mandir}/man3/Module::Info.3pm*

%changelog
* Sun Sep  8 2013 Paul Howarth <paul@city-fan.org> 0.35-1
- Update to 0.35
  - Handle 'package NAME VERSION' syntax
  - Added repository and license info to metadata
  - Tweaked format of Changes (this file) to match CPAN::Changes::Spec
- B::Module::Info manpage always shipped now

* Wed Jul 17 2013 Paul Howarth <paul@city-fan.org> 0.34-2
- Perl 5.18 rebuild

* Tue May 21 2013 Paul Howarth <paul@city-fan.org> 0.34-1
- Update to 0.34
  - Replace Text::Soundex in tests with Class::Struct, since Text::Soundex will
    not be in core in Perl 5.19 and up
  - Replace ExtUtils::MY_Metafile with META_MERGE in Makefile.PL

* Sun Feb 10 2013 Paul Howarth <paul@city-fan.org> 0.33-2
- Don't provide perl(B::Utils)

* Sun Feb 10 2013 Paul Howarth <paul@city-fan.org> 0.33-1
- Update to 0.33
  - Fix tests under Perl 5.6.2 when some core modules have been upgraded
- BR: perl(Text::Soundex)

* Fri Jun 29 2012 Paul Howarth <paul@city-fan.org> 0.32-5
- BR:/R: perl(Safe) and perl(version)
- BR: perl(Carp), perl(Cwd), perl(File::Spec), perl(lib), perl(Test::Builder),
  perl(Test::More)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Fri Jul  1 2011 Paul Howarth <paul@city-fan.org> 0.32-3
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Sep  9 2010 Paul Howarth <paul@city-fan.org> 0.32-1
- Update to 0.32
  - Add archlib and privlib to the search path for core modules

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 0.31-9
- Rebuild for perl 5.12.1 in Rawhide

* Fri Jun  4 2010 Paul Howarth <paul@city-fan.org> 0.31-5
- Fix dist tag for RHEL-6 Beta

* Sun Feb 28 2010 Paul Howarth <paul@city-fan.org> 0.31-4
- Dist tag for Rawhide no longer needs special-casing

* Mon Sep 21 2009 Paul Howarth <paul@city-fan.org> 0.31-3
- Define RPM macros in global scope

* Sat Nov  1 2008 Paul Howarth <paul@city-fan.org> 0.31-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Buildreq perl(ExtUtils::MakeMaker)

* Thu May 31 2007 Paul Howarth <paul@city-fan.org> 0.31-1
- Update to 0.31
- Fix dist tag for Fedora 7 onwards
- Fix argument order for find with -depth
- Add buildreq perl(Test::Pod::Coverage) for improved testing
  Note: some tests are skipped if perl(version) is installed and other tests
  are skipped if it is not, so there is no point adding perl(version) as a
  buildreq

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 0.30-2
- Fix distribution tags for development releases

* Wed Dec 21 2005 Paul Howarth <paul@city-fan.org> 0.30-1
- Update to 0.30

* Thu Nov 24 2005 Paul Howarth <paul@city-fan.org> 0.290-1
- Update to 0.290
- Use search.cpan.org URLs
- Don't use macros in paths for build-time commands, hardcode them instead
- Simplify distribution-detection
- Remove redundant macro definitions
- Buildreq perl(Test::Pod) >= 1.18 for better test cover
  (fails with Test::Pod 1.16 by the way)
- Remove buildroot unconditionally in %%clean and %%install

* Mon Jul 11 2005 Paul Howarth <paul@city-fan.org> 0.28-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Wed Apr 20 2005 Paul Howarth <paul@city-fan.org> 0.28-1
- Update to 0.28

* Wed Mar  9 2005 Paul Howarth <paul@city-fan.org> 0.27-1
- Update to 0.27
- Update URL

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 0.26-1
- Update to 0.26
- Tidy up spec file

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 0.24-1
- Initial build
